sum=0
pl=0
foititis=""# ονομα φοιτητή με την καλύτερη βαθμολογία
m_vath=-3
while True:
    epon=input("ονοματεπώνυμο φοιτητή ")
    if epon!="ΤΕΛΟΣ":
        while True:
            bathmos=float(input("βαθμός "))
            if bathmos>=0 and bathmos<=10:
                break
            else:
                print("λάθος εύρος βαθμολογία ")
        sum += bathmos
        if bathmos>m_vath:
            m_vath=bathmos
            foititis=epon
        pl +=1
    else:
        break
if pl>0:
    print("========================")
    print("καλύτερος φοιτητής ",foititis, " με βαθμό ",m_vath)
    print("Μέση βαθμολογία ",sum/pl)